// component/personCenter/personCenter.js
var app = getApp()
const wxService = require('../../utils/wxService')
const envInfo = require('../../config/index').envInfo

Component({
  properties: {
    personData: {
			type: Object,
			value: {},
		},
  },
  /**
   * 页面的初始数据
   */
  data: {
    personCenter: {},
    memberCardNo: "",
    memberActivateStatus: false
  },
  attached () {
    this.setData({
      personCenter: this.data.personData
    })
    // 取会员卡号
    const {memberCardNo,memberActivateStatus} = wx.getStorageSync('_baseUserInfo')
    this.setData({
      memberCardNo,
      memberActivateStatus
    })
  },
  methods: {
    toBonusDetails() {
      wxService.router(`/pages/integralWater/integralWater`)
    },
    toCouponList() {
      wxService.router(`/pages/coupons/coupons`)
    },
    // 点击编辑
    handelPersonCenter() {
      console.log('点击编辑')
    },
    handleGoWxCard() {
      console.log('kabao')
      wxService.openCard()
    }
  }
})